/// 血糖检查数据
class SugarExamData {
  /// 血糖值
  ///
  /// 单位 `mmol/L`
  final double sugar;

  /// 总胆固醇
  ///
  /// 单位 `mmol/L`
  final double cholesterol;

  /// 尿酸
  ///
  /// 单位 `μmol/L`
  final double uricAcid;

  SugarExamData({
    required this.sugar,
    required this.cholesterol,
    required this.uricAcid,
  });

  factory SugarExamData.fromEventData(Map<String, dynamic> jsonMap) {
    return SugarExamData(
      sugar: jsonMap["SUGAR_VALUE"].toDouble(),
      cholesterol: jsonMap["CHOLESTEROL_VALUE"].toDouble(),
      uricAcid: jsonMap["URIC_ACID_VALUE"].toDouble(),
    );
  }
}
